#!/bin/sh

MODE=`property_get Time Mode`
if [ $MODE = null ];then
  MODE=MANUAL
fi

TIMEZONE=`property_get Time Timezone`
if [ "$TIMEZONE" = null ];then
  TIMEZONE="(GMT +09:00) Asia/Seoul"
fi

LC=`echo $TIMEZONE | awk '{print $3}'`
ln -sf /usr/share/zoneinfo/$LC /etc/localtime

if ping -w 2 8.8.8.8 &> /dev/null
then
  echo "Internet network is available"
else
  echo "Internet network is not available"
  exit 0
fi

if [ $1 != "stop" ]; then
  if [ $MODE = NTP ]; then
    echo "--- time 1"
    SERVER=`property_get NTP Server`
    ntpd -q -p $SERVER
    echo "----- time 2"
    ERR_CNT=0;
    while [ `ps | grep ntpd | wc -l` -gt 1 -a $ERR_CNT -lt 10 ];do
      echo "wait..."
      sleep 1
      ERR_CNT=`expr $ERR_CNT "+" 1`
    done 
  fi
else
  if [ $MODE != NTP ]; then
    killall ntpd
  fi
fi  


    
