#!/bin/sh

 make_logdir() {
    mkdir -p /mnt/emmc1/log/rsupport
    mkdir -p /var/log
    cd /var/log
# TODO remove
    if [ "$(readlink -f "/var/log/rsupport")" == "/mnt/emmc/log/rsupport" ]; then                                                                                                                                                              
        rm /var/log/rsupport                                                                                                                                                                                                                   
    fi

    if [ ! -L /var/log/rsupport ]; then
        ln -s /mnt/emmc1/log/rsupport rsupport
    fi
}

process_check() {
    if [ -z == "$1" ]; then
        echo "error. input process argument. check script file."
        exit 0
    fi

    PS_TYPE="normal"
    PS_PATH=`which ps`
    REAL_PATH=`readlink $PS_PATH`

    if [ "busybox" == "$REAL_PATH" ]; then
        PS_TYPE="busybox"
    fi

    PROCESS_NAME=$1

    if [ "normal" == "$PS_TYPE" ]; then
        PROCESS=`ps -ef | grep -v grep | awk '{print $2,$8}' |grep $PROCESS_NAME`
    else
        PROCESS=`ps -ef | grep -v grep | awk '{print $1,$4}' |grep $PROCESS_NAME`
    fi

    if [ -z "$PROCESS" ]; then
        echo "$PROCESS_NAME process is not running."
        return 0
    else
        echo "$PROCESS_NAME process is alive."
        return 1
    fi
}

dhcp_result_led() {
    export LD_LIBRARY_PATH=/opt/rsupport/rvbox/agent/latest/lib
    /opt/rsupport/rvbox/agent/latest/initworker --dhcp-result-led
}

CHECK_COUNT=0
LED_PROCESS="ledani"

while [ 1 ]
do
   process_check $LED_PROCESS
   RESULT=$?
   CHECK_COUNT=`expr $CHECK_COUNT "+" 1`
   echo $RESULT $CHECK_COUNT
   if [ $RESULT -eq 0 ] || [ $CHECK_COUNT -ge 10 ];then
      echo "start watchdog"
      pkill -9 $LED_PROCESS
      break
   fi
   sleep 1
done

make_logdir

rm -f /etc/rsupport/rvbox/set_networking
rm -f /etc/rsupport/rvbox/set_archiving
rm -rf /tmp/rspackage*
rm -rf /tmp/*.tgz

dhcp_result_led

/opt/rsupport/rvbox/agent/latest/watchdog.sh agent
/opt/rsupport/rvbox/agent/latest/watchdog.sh web

# tcpsvd -vE 0.0.0.0 21 ftpd -w / &
# telnetd

crond